#include <math.h> // fabs() に必要

/* 三角形の面積（頂点が原点, (x1,y1), (x2,y2)）*/
double triangle_v2(double x1, double y1, double x2, double y2) {
    return fabs(x1 * y2 - x2 * y1) / 2.0;
}

/* 三角形の面積（頂点が(x0,y0), (x1,y1), (x2,y2)）*/
double triangle_v3(double x0, double y0,
                   double x1, double y1, double x2, double y2) {
    return triangle_v2(x1-x0, y1-y0,
                       x2-x0, y2-y0);
}                   //  (-x0,   -y0) 方向に平行移動して、下請けに出す
