#include <stdio.h>

#define FALSE 0
#define TRUE  1

#define N 100
int is_prime[N + 1];  // i が表にあるなら is_prime[i]=TRUE

int main(void) {
    for (int i=2; i<=N; i++) { is_prime[i] = TRUE; } // 初期化
    for (int i=2; i<=N; i++) {       // 小さい数から調べる
        if (is_prime[i]) {           // 素数を発見
            printf("%d ", i);
            for (int j=i+i; j<=N; j+=i) {
                is_prime[j] = FALSE; // 倍数を表から消す
            }
        }
    }
    printf("\n");
}
