#include <stdio.h>
#include <string.h> // strlen()

/* strlen()の自作関数：文字数を数える */
int str_length(char str[]) {
    int i; // ループ後にも必要なので、ここで定義
    for (i=0; str[i]!='\0'; i++) {
        // dummy
    }
    return i;
}

void test_str_length(char s[]) {
    printf("'%s', %d, %d\n",
           s, (int)strlen(s), str_length(s));
}   // (int) でキャストする代わりに %zu で表示してもよい(C99)

int main(void) {
    char str[] = "The";
    printf("%d\n", (int)sizeof(str)); // 4（'\0'を含むバイト数）
    test_str_length(str);             // 3（文字列の長さ）

    test_str_length("The");  // 3（文字列リテラルを引数に渡せる）
    test_str_length("");     // 0（長さ0の空文字列）
    test_str_length("あ");   // 3(UTF-8の場合) または 2(SJISなど)
    return 0;
}
