#include <stdio.h>

/* 点を表す構造体 */    // 関数定義やプロトタイプ宣言よりも前に必要
typedef struct {
    double x, y;
} point_t;

/* pを表示する */
void point_print(point_t p) {
    printf("(%g, %g)\n", p.x, p.y); // .(ドット)でメンバーを取り出す
}

int main(void) {
    point_t a = { 1.1, 2.2 }; // a.x = 1.1;  a.y = 2.2;  [初期化]
    point_print(a);           // (1.1, 2.2)              [引数渡し]
    point_t b;
    b = a;                    // b.x = a.x;  b.y = a.y;  [代入]
    point_print(b);           // (1.1, 2.2)
}
