#include <stdio.h>

/* 点を表す構造体 */
typedef struct {
    double x, y;
} point_t;


/* pを表示する */
void point_print(point_t p) {
    printf("(%g, %g)\n", p.x, p.y);
}

/* pを(dx,dy)方向に移動する */
point_t point_move(point_t p, double dx, double dy) {
    p.x += dx;  p.y += dy;
    return p;
}

int main(void) {
    point_t a = { 1.1, 2.2 };
    point_print(a);           // (1.1, 2.2)
    a = point_move(a, 1.2, 3.4);
    point_print(a);           // (2.3, 5.6)
}
