#include <stdio.h>
#include <stdlib.h> // exit()

int main(void) {
    char filename[] = "output.txt";  // 書き込むファイル名

    /* 前処理 */
    FILE *fp = fopen(filename, "w");
    if (fp == NULL) {
	printf("ファイルオープンに失敗しました '%s'\n", filename);
	exit(EXIT_FAILURE);  // プログラムを中断する（異常終了）
    }

    /* 主処理 */
    fputs("九九の表\n", fp);
    for (int i=1; i<=9; i++) {
        for (int j=1; j<=9; j++) {
            fprintf(fp, "%2d ", i*j);
        }
        fputc('\n', fp);
    }

    /* 後処理 */
    fclose(fp);
    return EXIT_SUCCESS; // 正常終了
}
