#include <stdio.h>
#include <stdlib.h> // exit()

#define BUFF_SIZE 1024

int main(void) {
    char filename[] = "input.txt";  // 読み取るファイル名
    char buff[BUFF_SIZE];  // 読み取る1行を保存する行バッファ

    /* 前処理 */
    FILE *fp = fopen(filename, "r");
    if (fp == NULL) {
	printf("ファイルオープンに失敗しました '%s'\n", filename);
	exit(EXIT_FAILURE);  // プログラムを中断する（異常終了）
    }

    /* 主処理 */
    while (fgets(buff, BUFF_SIZE, fp) != NULL) {
        printf("%s", buff);           // NULL はファイルの終端の目印
    }

    /* 後処理 */
    fclose(fp);
    return EXIT_SUCCESS; // 正常終了
}
