#include <stdio.h>
#include <math.h> // sqrt() に必要

/* 三角形の面積を返す（３辺の長さをa,b,cとする） */
double triangle_side(double a, double b, double c) {
    double s = (a + b + c) / 2.0;
    double area2 = s * (s-a) * (s-b) * (s-c);
    return sqrt(area2);
}

int main(void) {
    printf("3辺の長さが%g,%g,%gの三角形の面積は%gです。\n",
           1.0, 1.0, 1.0, triangle_side(1.0, 1.0, 1.0));
    printf("3辺の長さが%g,%g,%gの三角形の面積は%gです。\n",
           3.0, 4.0, 5.0, triangle_side(3.0, 4.0, 5.0));
    return 0;
}
