#include <stdio.h>
#include <math.h> // sqrt() に必要

/* 三角形の面積を返す（３辺の長さをa,b,cとする） */
double triangle_side(double a, double b, double c) {
    double s = (a + b + c) / 2;
    double area2 = s * (s-a) * (s-b) * (s-c);
    return sqrt(area2);
}

/* 三角形の面積を表示する（３辺の長さをa,b,cとする） */
void print_triangle_side(double a, double b, double c) {
    printf("3辺の長さが%g,%g,%gの三角形の面積は%gです。\n",
           a, b, c, triangle_side(a, b, c));
}      //  表示用                 計算用

int main(void) {
    print_triangle_side(1.0, 1.0, 1.0);  // void 型の関数なので、
    print_triangle_side(3.0, 4.0, 5.0);  // 関数呼び出しのみを書く
    return 0;
}
