#include <stdio.h>

/* x[0]..x[n-1] の最大値を返す（n>0）*/
int max_array(int n, int x[]) {
    int max = x[0];           // 初期値は先頭要素
    for (int i=1; i<n; i++) { // i=0 は不要
        if (max < x[i]) {     // より大きな値を見つければ
            max = x[i];       // 暫定最大値を更新する
        }
    }
    return max;
}

int main(void) {
    int data[] = {  // 0から100の点数のデータ
        54, 20, 76, 32, 19, 76, 98, 51, 98, 35, // 末尾のコンマは有益
    };
    int num = sizeof(data)/sizeof(data[0]); // 要素数を計算で求める
    printf("max = %d\n", max_array(num, data));
}
