#include <stdio.h>

void array_copy(int n, int dst[], int src[]) {
    for (int i=0; i<n; i++) {
        dst[i] = src[i]; // 1要素ずつコピー
    }
}

void array_reverse(int n, int dst[], int src[]) {
    for (int i=0; i<n; i++) {
        dst[i] = src[(n - 1) - i]; // 逆順にコピー
    }
}

#define NUM ((int)(sizeof(orig)/sizeof(orig[0])))

int main(void) {
    int orig[] = { 1, 3, 5, 7, 9, 2, 4, 6, 8 };
    int copy[NUM];     array_copy(NUM, copy, orig);       // コピー
    int reverse[NUM];  array_reverse(NUM, reverse, orig); // 逆順
    for (int i=0; i<NUM; i++) {   // 結果の表示
        printf("%5d %5d %5d\n", orig[i], copy[i], reverse[i]);
    }
}
