#include <stdio.h>
#include <string.h> // strlen(), strcpy(), strcat()

/* strcat()の自作関数：文字列を連結する */
void str_concat(char dest[], char src[]) {
    int i, len = strlen(dest);
    for (i=0; src[i]!='\0'; i++) {
        dest[len + i] = src[i]; // len だけずらしてコピー
    }
    dest[len + i] = '\0';
}

/* strcat()の自作関数：文字列を連結する */
void str_concat2(char dest[], char src[]) {
    int len = strlen(dest);
    strcpy(dest + len, src);// ポインタ演算でコピー先アドレスをずらす
}

int main(void) {              // 100 は適当な大きめの値
    char buff[100] = "";      // buff : ""
    strcat(buff, "123");      // buff : "123"
    str_concat(buff, "abc");  // buff : "123abc"
    str_concat2(buff, "XYZ"); // buff : "123abcXYZ"
    puts(buff);
}
