#include <stdio.h>

/* 点を表す構造体 */
typedef struct {
    double x, y;
    char *label;                                 // *label 追加
} point_t;

/* pを表示する */
void point_print(point_t p) {
    printf("点%s(%g, %g)\n", p.label, p.x, p.y); // p.label 追加
}

/* pを(dx,dy)方向に移動する */
point_t point_move(point_t p, double dx, double dy) {
    p.x += dx;  p.y += dy;
    return p;
}

int main(void) {
    point_t a = { 1.1, 2.2, "A" };               // "A" 追加
    point_print(a);              // 点A(1.1, 2.2)
    a = point_move(a, 1.2, 3.4);
    point_print(a);              // 点A(2.3, 5.6)
}
