#include <stdio.h>

/* 点を表す構造体 */
typedef struct {
    double x, y;
    char *label;
} point_t;

/* pを表示する */
void point_print(point_t *p) {                      // (a)* 追加
    printf("点%s(%g, %g)\n", p->label, p->x, p->y); // (b).を->に変更
}

/* pを(dx,dy)方向に移動する */                      // (c)void に変更
void point_move(point_t *p, double dx, double dy) { // (a)* 追加
    p->x += dx;  p->y += dy;                        // (b).を->に変更
    /* return p; */                                 // (c)return 削除
}

int main(void) {
    point_t a = { 1.1, 2.2, "A" };
    point_print(&a); // 点A(1.1, 2.2)               // (d)& 追加
    /* a = */ point_move(&a, 1.2, 3.4); // (c)a= 削除, (d)& 追加
    point_print(&a); // 点A(2.3, 5.6)               // (d)& 追加
}
