#include <stdio.h>
#include <stdlib.h>

#define BUFF_SIZE 1024

int main(void) {
    char infile[]  = "data.txt";
    char outfile[] = "output.txt";
    char buff[BUFF_SIZE];

    /* 前処理 */
    FILE *fpin = fopen(infile, "r");
    if (fpin == NULL) {
	printf("ファイルオープンに失敗しました '%s'\n", infile);
	exit(EXIT_FAILURE);
    }
    FILE *fpout = fopen(outfile, "w");
    if (fpout == NULL) {
	printf("ファイルオープンに失敗しました '%s'\n", outfile);
	exit(EXIT_FAILURE);
    }

    /* 主処理 */
    while (fgets(buff, BUFF_SIZE, fpin) != NULL) {
        int val = atoi(buff);
        fprintf(fpout, "%dのデータがありました\n", val);
    }

    /* 後処理 */
    fclose(fpin);
    fclose(fpout);
    return EXIT_SUCCESS; // 正常終了
}
